select CityName, City.Name, lc.LogCount
from (
select CityName, COUNT(1) as LogCount
from Log
group by log.CityName
) lc
left join City on lc.CityName = City.Name
where City.Name is null
order by LogCount desc